Update Google Ads campaign
curl --request PATCH \
--url https://api.sapt.ai/projects/{projectId}/google-ads/customers/{customerId}/campaigns/{campaignId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"dailyBudget": 123,
"targetCpa": 123,
"networks": {
"targetGoogleSearch": true,
"targetSearchNetwork": true,
"targetContentNetwork": true
},
"startDate": "<string>",
"endDate": "<string>",
"loginCustomerId": "<string>",
"validateOnly": true
}
'import requests
url = "https://api.sapt.ai/projects/{projectId}/google-ads/customers/{customerId}/campaigns/{campaignId}"
payload = {
"name": "<string>",
"dailyBudget": 123,
"targetCpa": 123,
"networks": {
"targetGoogleSearch": True,
"targetSearchNetwork": True,
"targetContentNetwork": True
},
"startDate": "<string>",
"endDate": "<string>",
"loginCustomerId": "<string>",
"validateOnly": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
dailyBudget: 123,
targetCpa: 123,
networks: {
targetGoogleSearch: true,
targetSearchNetwork: true,
targetContentNetwork: true
},
startDate: '<string>',
endDate: '<string>',
loginCustomerId: '<string>',
validateOnly: true
})
};
fetch('https://api.sapt.ai/projects/{projectId}/google-ads/customers/{customerId}/campaigns/{campaignId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"campaign": {
"campaignId": "<string>",
"resourceName": "<string>",
"name": "<string>",
"status": "<string>",
"servingStatus": "<string>",
"advertisingChannelType": "<string>",
"advertisingChannelSubType": "<string>",
"campaignBudget": "<string>",
"biddingStrategyType": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"dailyBudgetMicros": 123,
"targetCpaMicros": 123
}
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}Google Ads
Update Google Ads campaign
Update a campaign’s name, status, budget, bidding strategy, network settings, and/or schedule. All fields are optional — only provided fields are changed. Use validateOnly=true to test the payload without applying it.
PATCH
/
projects
/
{projectId}
/
google-ads
/
customers
/
{customerId}
/
campaigns
/
{campaignId}
Update Google Ads campaign
Authorizations
JWT token obtained from /api/auth/token endpoint. Token is verified using JWKS and must include a valid user identifier.
Path Parameters
Minimum string length:
1Minimum string length:
1Body
application/json
Required string length:
1 - 255Available options:
ENABLED, PAUSED Available options:
MAXIMIZE_CONVERSIONS, MAXIMIZE_CLICKS, MANUAL_CPC, TARGET_CPA Show child attributes
Show child attributes
Pattern:
^\d{4}-\d{2}-\d{2}$Pattern:
^\d{4}-\d{2}-\d{2}$Minimum string length:
1Response
Success
Show child attributes
Show child attributes